package com.zztrapp.zztrapp.bean;

import java.util.List;

/**
 * Describe 法律法规列表
 * Created by Bby on 2022/6/25
 * Email bby0856@163.com
 */
public class WdPageListBean {

    private List<RecordsBean> records;
    private Integer total;
    private Integer size;
    private Integer current;
    private List<?> orders;
    private Boolean optimizeCountSql;
    private Boolean searchCount;
    private Object countId;
    private Object maxLimit;
    private Integer pages;

    public List<RecordsBean> getRecords() {
        return records;
    }

    public void setRecords(List<RecordsBean> records) {
        this.records = records;
    }

    public Integer getTotal() {
        return total;
    }

    public void setTotal(Integer total) {
        this.total = total;
    }

    public Integer getSize() {
        return size;
    }

    public void setSize(Integer size) {
        this.size = size;
    }

    public Integer getCurrent() {
        return current;
    }

    public void setCurrent(Integer current) {
        this.current = current;
    }

    public List<?> getOrders() {
        return orders;
    }

    public void setOrders(List<?> orders) {
        this.orders = orders;
    }

    public Boolean getOptimizeCountSql() {
        return optimizeCountSql;
    }

    public void setOptimizeCountSql(Boolean optimizeCountSql) {
        this.optimizeCountSql = optimizeCountSql;
    }

    public Boolean getSearchCount() {
        return searchCount;
    }

    public void setSearchCount(Boolean searchCount) {
        this.searchCount = searchCount;
    }

    public Object getCountId() {
        return countId;
    }

    public void setCountId(Object countId) {
        this.countId = countId;
    }

    public Object getMaxLimit() {
        return maxLimit;
    }

    public void setMaxLimit(Object maxLimit) {
        this.maxLimit = maxLimit;
    }

    public Integer getPages() {
        return pages;
    }

    public void setPages(Integer pages) {
        this.pages = pages;
    }

    public static class RecordsBean {
        private String id;
        private Object versionId;
        private String name;
        private Object fileTypeId;
        private String fileDicType;
        private Object displayDirectoryId;
        private Object searchKey;
        private String ownerClassName;
        private String ownerId;
        private String extension;
        private Object md5Code;
        private String uploadTime;
        private Integer fileSize;
        private String filePath;
        private String uploadUserId;
        private String uploadPersonName;
        private Object startPosition;
        private Object endPosition;
        private Object isComplete;
        private Object currentChunk;
        private Integer isAllowDownload;
        private Object hasOtherVersion;
        private Object businessId;
        private Object filePreviewTypeId;
        private Integer isFiling;
        private Object filingDirectoryId;
        private Object filingUserId;
        private Object filingPersonName;
        private String filingTime;
        private String remark;
        private Object isCurrentVer;

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public Object getVersionId() {
            return versionId;
        }

        public void setVersionId(Object versionId) {
            this.versionId = versionId;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public Object getFileTypeId() {
            return fileTypeId;
        }

        public void setFileTypeId(Object fileTypeId) {
            this.fileTypeId = fileTypeId;
        }

        public String getFileDicType() {
            return fileDicType;
        }

        public void setFileDicType(String fileDicType) {
            this.fileDicType = fileDicType;
        }

        public Object getDisplayDirectoryId() {
            return displayDirectoryId;
        }

        public void setDisplayDirectoryId(Object displayDirectoryId) {
            this.displayDirectoryId = displayDirectoryId;
        }

        public Object getSearchKey() {
            return searchKey;
        }

        public void setSearchKey(Object searchKey) {
            this.searchKey = searchKey;
        }

        public String getOwnerClassName() {
            return ownerClassName;
        }

        public void setOwnerClassName(String ownerClassName) {
            this.ownerClassName = ownerClassName;
        }

        public String getOwnerId() {
            return ownerId;
        }

        public void setOwnerId(String ownerId) {
            this.ownerId = ownerId;
        }

        public String getExtension() {
            return extension;
        }

        public void setExtension(String extension) {
            this.extension = extension;
        }

        public Object getMd5Code() {
            return md5Code;
        }

        public void setMd5Code(Object md5Code) {
            this.md5Code = md5Code;
        }

        public String getUploadTime() {
            return uploadTime;
        }

        public void setUploadTime(String uploadTime) {
            this.uploadTime = uploadTime;
        }

        public Integer getFileSize() {
            return fileSize;
        }

        public void setFileSize(Integer fileSize) {
            this.fileSize = fileSize;
        }

        public String getFilePath() {
            return filePath;
        }

        public void setFilePath(String filePath) {
            this.filePath = filePath;
        }

        public String getUploadUserId() {
            return uploadUserId;
        }

        public void setUploadUserId(String uploadUserId) {
            this.uploadUserId = uploadUserId;
        }

        public String getUploadPersonName() {
            return uploadPersonName;
        }

        public void setUploadPersonName(String uploadPersonName) {
            this.uploadPersonName = uploadPersonName;
        }

        public Object getStartPosition() {
            return startPosition;
        }

        public void setStartPosition(Object startPosition) {
            this.startPosition = startPosition;
        }

        public Object getEndPosition() {
            return endPosition;
        }

        public void setEndPosition(Object endPosition) {
            this.endPosition = endPosition;
        }

        public Object getIsComplete() {
            return isComplete;
        }

        public void setIsComplete(Object isComplete) {
            this.isComplete = isComplete;
        }

        public Object getCurrentChunk() {
            return currentChunk;
        }

        public void setCurrentChunk(Object currentChunk) {
            this.currentChunk = currentChunk;
        }

        public Integer getIsAllowDownload() {
            return isAllowDownload;
        }

        public void setIsAllowDownload(Integer isAllowDownload) {
            this.isAllowDownload = isAllowDownload;
        }

        public Object getHasOtherVersion() {
            return hasOtherVersion;
        }

        public void setHasOtherVersion(Object hasOtherVersion) {
            this.hasOtherVersion = hasOtherVersion;
        }

        public Object getBusinessId() {
            return businessId;
        }

        public void setBusinessId(Object businessId) {
            this.businessId = businessId;
        }

        public Object getFilePreviewTypeId() {
            return filePreviewTypeId;
        }

        public void setFilePreviewTypeId(Object filePreviewTypeId) {
            this.filePreviewTypeId = filePreviewTypeId;
        }

        public Integer getIsFiling() {
            return isFiling;
        }

        public void setIsFiling(Integer isFiling) {
            this.isFiling = isFiling;
        }

        public Object getFilingDirectoryId() {
            return filingDirectoryId;
        }

        public void setFilingDirectoryId(Object filingDirectoryId) {
            this.filingDirectoryId = filingDirectoryId;
        }

        public Object getFilingUserId() {
            return filingUserId;
        }

        public void setFilingUserId(Object filingUserId) {
            this.filingUserId = filingUserId;
        }

        public Object getFilingPersonName() {
            return filingPersonName;
        }

        public void setFilingPersonName(Object filingPersonName) {
            this.filingPersonName = filingPersonName;
        }

        public String getFilingTime() {
            return filingTime;
        }

        public void setFilingTime(String filingTime) {
            this.filingTime = filingTime;
        }

        public String getRemark() {
            return remark;
        }

        public void setRemark(String remark) {
            this.remark = remark;
        }

        public Object getIsCurrentVer() {
            return isCurrentVer;
        }

        public void setIsCurrentVer(Object isCurrentVer) {
            this.isCurrentVer = isCurrentVer;
        }
    }
}
